org.gnome.gtk

## Class DataColumnBoolean

- Object
- - org.gnome.gtk.DataColumn
  - - org.gnome.gtk.DataColumnBoolean

-     public final class DataColumnBoolean
      extends DataColumn

  A column of `boolean` values in a TreeModel. These are particularly useful to drive TreeViewColumns containing a CellRendererToggle, although they are of course used to set the properties of any `boolean` property offered by a CellRenderer.

  See `DataColumn` for the full discussion of how this family of classes is employed when working with TreeModels.

  Since:
    4.0.5
  Author:
    Andrew Cowie

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataColumnBoolean()`

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataColumnBoolean

          public DataColumnBoolean()